%define rname	scrapbook
%define cid		\{53A03D43-5363-4669-8190-99061B2DEBA5\}
%define ciddir 	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	1.3.3.2
Release:	alt1
Summary:	Firefox extension, which helps you to save Web pages and manage the collection

License:	MPL 1.1/GPL 2.0 or later/LGPL 2.1 or later
Group:		Networking/WWW	
URL:		http://amb.vis.ne.jp/mozilla/scrapbook/

Source0:	scrapbook-%version-fx.xpi

BuildArch:	noarch
BuildRequires:	rpm-build-firefox unzip

Requires: %firefox_name >= 2.0

Packager: Igor Zubkov <icesik@altlinux.org>

%description 
ScrapBook is a Firefox extension, which helps you to save Web pages and manage
the collection. Key features are lightness, speed, accuracy and multi-language
support. Major features are:
  *  Save Web page
  * Save snippet of Web page
  * Save Web site (In-depth Capture)
  * Organize the collection in the same way as Bookmarks
  * Highlighter, Eraser and various page editing features
  * Full text search and quick filtering search
  * Text edit feature resembling Opera's Notes
			    
%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%doc license.txt
%ciddir

%changelog
* Tue Apr 15 2008 Igor Zubkov <icesik@altlinux.org> 1.3.3.2-alt1
- 1.3.3.1 -> 1.3.3.2

* Mon Mar 17 2008 Igor Zubkov <icesik@altlinux.org> 1.3.3.1-alt1
- 1.3.3 -> 1.3.3.1

* Wed Mar 05 2008 Igor Zubkov <icesik@altlinux.org> 1.3.3-alt1
- 1.3.2.5 -> 1.3.3

* Wed Jan 16 2008 Igor Zubkov <icesik@altlinux.org> 1.3.2.5-alt1
- 1.3.1 -> 1.3.2.5

* Tue Nov 27 2007 Igor Zubkov <icesik@altlinux.org> 1.3.1-alt1
- 1.2.0.8 -> 1.3.1

* Thu Sep 27 2007 Igor Zubkov <icesik@altlinux.org> 1.2.0.8-alt2
- rebuild

* Mon Aug 06 2007 Igor Zubkov <icesik@altlinux.org> 1.2.0.8-alt1
- build for Sisyphus

